<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Webshell</title>
    <script src="{{ url_for('static', filename='js/tailwindcss-3.4.0.js') }}"></script>
  </head>
  <body class="bg-gray-100 p-8">
    <div class="container mx-auto">
      <h1 class="text-2xl font-bold mb-4">Python Webshell</h1>
      <form id="commandForm" class="mb-4">
        <input
          type="text"
          id="commandInput"
          class="border p-2 mr-2"
          placeholder="Enter command"
        />
        <button
          type="submit"
          class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded"
        >
          Execute
        </button>
      </form>
      <div id="output" class=""></div>
    </div>

    <script>
      document
        .getElementById("commandForm")
        .addEventListener("submit", function (e) {
          e.preventDefault();
          const command = document.getElementById("commandInput").value;
          fetch("/execute", {
            method: "POST",
            headers: {
              "Content-Type": "application/json",
            },
            body: JSON.stringify({ command: command }),
          })
            .then((response) => response.json())
            .then((data) => {
              const outputDiv = document.getElementById("output");
              const newCard =
                '<div class="bg-white p-4 rounded shadow mb-4">' +
                '<p class="font-bold">Command: ' +
                data.command +
                "</p>" +
                '<p class="text-sm text-gray-600">Executed at: ' +
                data.time +
                "</p>" +
                '<pre class="mt-2">' +
                data.output +
                "</pre>" +
                "</div>";
              outputDiv.innerHTML = newCard + outputDiv.innerHTML;
              document.getElementById("commandInput").value = "";
            });
        });
    </script>
  </body>
</html>
